Subject: [AVT] Re: SDP pbs

From: Colin Perkins <[email-masked]>
Date: Fri, 08 Feb 2002 09:39:48 -0500

--> "jean" writes:
>RE: [AVT] MPEG-4 over IP draft: a=mpeg-iod (fwd)Dear all,
>
>( repost of a 2 weeks old msg)
>
>
>I'm having some pbs with the SDP attributes defined in part 14496 - 8 
>(that also appears in MultiSL and SingleSL drafts i believe).
>
>According to RFC2327 (section 6, sub-section Attributes), the formatting 
>of attributes for SDP is
>a=<attribute>
>or
>a=<attribute>:<value>
>
>and for both "mpeg4-iod" and "mpeg4-esid" (maybe some others but i 
>wouldn't swear) we have:
>
>a=<attribute> <value>
>
>And this is a bit annoying for generic SDP parsers. Is the SDP syntax 
>that flexible (hope not ;), or is this a typo, some obscur design issue 
>or something that just happened to be like that ?

It's not legal SDP. Sounds like a typo in the mpeg draft.

Colin

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "jean" <[email-masked]>
Date: Wed, 6 Feb 2002 12:30:21 +0100

I'm having some pbs with the SDP attributes defined in part 14496 - 8 (that also appears in MultiSL and SingleSL drafts i believe).

According to RFC2327 (section 6, sub-section Attributes), the formatting of attributes for SDP is
a=<attribute>
or
a=<attribute>:<value>

and for both "mpeg4-iod" and "mpeg4-esid" (maybe some others but i wouldn't swear) we have:

a=<attribute> <value>

And this is a bit annoying for generic SDP parsers. Is the SDP syntax that flexible (hope not ;), or is this a typo, some obscur design issue or something that just happened to be like that ?

regards,

Jean

---

From: "Lim, Young-Kwon" <[email-masked]>
Date: Thu, 7 Feb 2002 11:56:47 +0900

Jean,

Thank you for identifying it. Seems an editorial error.

Sincerely,
Young.